cylc-flow (8.6.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Drop obsolete refs to cylc
  * Now at debhelper compat 14

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2026 11:05:23 +0100

cylc-flow (8.6.4-1) unstable; urgency=medium

  * New upstream release
  * Drop Priority: optional from source in d/control per new policy
  * Standards-Version: 4.7.4

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 May 2026 05:12:39 +0100

cylc-flow (8.6.1-1) unstable; urgency=medium

  * New upstream release
  * Drop dependency on bootstrap; no longer used. Closes: #1088486
  * d/watch: Move to version 5 syntax
  * d/gbp.conf: Update to use pristine-tar

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 17:05:12 +0000

cylc-flow (8.6.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Nov 2025 11:32:16 +0000

cylc-flow (8.2.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * bash-completion name change; fix d/rules
  * Drop Dep on pkg-resources; unnecessary. Closes: #1083351

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Oct 2024 15:15:41 +0100

cylc-flow (8.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Sep 2022 19:43:44 +0100

cylc-flow (8.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2022 15:22:56 +0100

cylc-flow (8.0.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jul 2022 09:31:01 +0100

cylc-flow (8.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 May 2022 13:32:49 +0100

cylc-flow (8.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Apr 2022 09:20:16 +0100

cylc-flow (8.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Fix uversionmangle in d/watch for rc versions

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Feb 2022 16:25:18 +0000

cylc-flow (8.0~b3-2) unstable; urgency=medium

  * Fix broken merge that includes old tests. Closes: #999860
  * Cleanup d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Nov 2021 10:23:49 +0000

cylc-flow (8.0~b3-1) unstable; urgency=medium

  * New upstream release
  * Update source names in lintian-overrides

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Nov 2021 10:08:59 +0000

cylc-flow (8.0~b2-1) experimental; urgency=medium

  * New upstream release
  * Rename source package cylc-flow because 'cylc' is splitting in release
    8.0. Closes: #995293
  * Change d/watch to handle alpha versions
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jan 2021 12:09:24 +0000

cylc (8.0~a2-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper-compat 13
  * Change from dh-python to dh-python-sequence3, drop --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 14:25:49 +0100

cylc (8.0~a1-5) unstable; urgency=medium

  * Change dep from fonts-gewlyld to fonts-font-awesome. Closes: #962879

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2020 19:35:22 +0100

cylc (8.0~a1-4) unstable; urgency=medium

  * Depend on python3-isodatetime

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Apr 2020 09:51:15 +0100

cylc (8.0~a1-3) unstable; urgency=medium

  * source-only upload

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2020 10:22:44 +0000

cylc (8.0~a1-2) unstable; urgency=medium

  * Rename cylc -> cylc-flow as per upstream
    - cylc-flow provides: cylc for now, with Breaks/Replaces
  * Change python3-cylc to Arch: all. Closes: #949772
  * Standards-Version: 4.5.0
  * Drop dependencies on pyro. Closes: #942938
  * CHange CYLC_HOME_BIN in paths to /usr/share/cylc/bin, rather than shipping
    our own front-end driver
  * Don't ship png or desktop as we don't ship gui in this package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Feb 2020 16:47:30 +0000

cylc (8.0~a1-1) experimental; urgency=medium

  * New upstream release, python3 port
    - Drop old patches
    - Closes: #936359, #885371
  * Move to pybuild build system

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Sep 2019 13:24:12 +0100

cylc (7.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Sep 2019 12:19:44 +0100

cylc (7.8.3-1) unstable; urgency=medium

  * New upstream release
    - images/ moved to usr/lib/cylc/images ;
  * Standards-Version: 4.4.0
  * Now use debhelper-compat ( = 12)
  * Use libjs libs instead of embedded versions:
    - moment.js, bootstrap.js
    - update lintian tags to reflect this
  * ./examples moved to ./etc/examples

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Aug 2019 08:29:20 +0100

cylc (7.8.0-5) unstable; urgency=medium

  * Re-org d/rules. Untangle arch/indep parts to make it properly
    bin-only/indep-only buildable
  * job.sh: Enable as a bash-script; its not pure sh.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 15:11:12 +0000

cylc (7.8.0-4) unstable; urgency=medium

  * Fix FTBFS with -A. Closes: #916778

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Dec 2018 16:38:19 +0000

cylc (7.8.0-3) unstable; urgency=medium

  * Make chmod+x condiitional in dh_fixperms for binary-only builds
    Closes:#916272
  * Add B-D on less for doc building script
  * Typo in envvars.patch: no os.path.path
  * Fix non-UTF8 chars that break PDF building
  * Drop unused shlib:Depends in cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Dec 2018 11:29:05 +0000

cylc (7.8.0-2) unstable; urgency=medium

  * Patch: Don't call hostname in doc scripts; Use "debian" instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2018 12:23:39 +0000

cylc (7.8.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression for tarballs
  * Drop obsolete lintian-overrides
  * Don't ship glyphicons-halflings-regular.ttf ; depend on fonts-
    glewlwyd instead
  * Use libjs-jquery rather than embedded version
  * Use libjs-prettify too.
  * make jobs.sh  executable
  * Don't parse changelog for version; get from dpkg includes

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Nov 2018 12:12:21 +0000

cylc (7.7.2-3) unstable; urgency=medium

  * Fix FTBFS on dpkg-buildpackage -A. Closes: #908042

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Sep 2018 09:48:37 +0100

cylc (7.7.2-2) unstable; urgency=medium

  * Ensure files are installed correctly on binary:any builds.
    Closes: #907617

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Aug 2018 10:17:46 +0100

cylc (7.7.2-1) unstable; urgency=medium

  * New upstream release; refresh patches
  * Standards-Version: 4.2.0
  * Move job.sh from python lib dir to /usr/share/cylc/job.sh

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 May 2018 07:12:10 +0100

cylc (7.6.1-1) unstable; urgency=medium

  * New upstream release
    - conf/job-init-env-default.sh no longer shipped

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Mar 2018 15:45:50 +0100

cylc (7.6.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3
  * Change VCS and homepage URLs to https; salsa.debian.org
  * Fix broken cylc driver script install. Closes: #890020
  * Add link for /etc/cylc conf dirs. 
  * Don't set CYLC_DIR to python directory; Closes: #890038.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Feb 2018 16:05:43 +0000

cylc (7.5.0-3) unstable; urgency=medium

  * Fix syntax in rules file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Sep 2017 16:22:47 +0100

cylc (7.5.0-2) unstable; urgency=medium

  * Fix for FTBFS on arch-only builds. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Sep 2017 10:23:36 +0100

cylc (7.5.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
    - rm-gpanel.patch now upstream
  * Standards-Version: 4.1.0; no changes required
  * Change cylc to Architecture: any

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Sep 2017 15:30:35 +0100

cylc (7.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on tex-gyre for gbonum.sty
  * Add B-D on python-gtk2
  * Standards-Version: 4.0.0; no changes required
  * Add watch file
  * Drop Multiarch from cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Jul 2017 13:49:31 +0100

cylc (6.11.2-7) unstable; urgency=medium

  * Don't automatically create version file (which overwrites VERSION created
    in ./rules and causes FTBFS on underscores
  * Don't include gpanel in cylc subcommands list

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Mar 2017 17:00:45 +0100

cylc (6.11.2-6) unstable; urgency=medium

  * Patch to fix FTBFS when version includes an underscore.
    Thanks to Chris Lamb. Closes: #857313

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Mar 2017 18:54:07 +0100

cylc (6.11.2-5) unstable; urgency=medium

  * Fix broken symlinks. Closes: #858480

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Mar 2017 16:25:59 +0100

cylc (6.11.2-4) unstable; urgency=medium

  * Add icon, desktop file for cylc-gui

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 13:02:05 +0000

cylc (6.11.2-3) unstable; urgency=medium

  * Binary rebuild for armhf build failure

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2016 10:50:33 +0000

cylc (6.11.2-2) unstable; urgency=medium

  * python-cylc: add Breaks/Replaces for xdot << 0.7-2. Closes: #847966
  * Multi-Arch: same for cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Dec 2016 13:08:03 +0000

cylc (6.11.2-1) unstable; urgency=medium

  * Initial release. (Closes: #788814)
    Re-uploaded with Copyright updates (Add Python license for Ordereddict*) 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Nov 2016 21:41:25 +0000
